Redmine - Defect #32852
Upgrading from Redmine v4.0.5 to v4.1.0 gives 2 errors
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 41.0
Description

Upgrading from Redmine v4.0.5 to v4.1.0 gives NoMethodError and Sprockets::Railtie::ManifestNeededError errors
| wrote the steps | took, the environment.

procedure

# svn sw ~/branches/4.1-stable

# bundle exec rake db:migrate RAILS_ENV=production

rake aborted!

NoMethodError: undefined method "assets' for #<Rails::Application::Configuration:0x000055a03c7ecb8
8>

Did you mean? asset_host

| removed the comment out of require "sprockets/railtie” in config/application.rb.

# bundle exec rake db:migrate RAILS_ENV=production

rake aborted!

Sprockets::Railtie::ManifestNeededError: Expected to find a manifest file in "app/assets/config/ma
nifest.js’

But did not, please create this file and use it to link any assets that need

to be rendered by your app:

Example:
//= link_tree ../images
//= link_directory ../Jjavascripts .js

//= link_directory ../stylesheets .css
and restart your server

| created the file as per the example and ran it again.
Processing succeeded, Redmine 4.1.0 started successfully.

environment
# uname -a
Linux yomi-sv0l.localdomain 3.10.0-1062.1.2.e17.x86_64 #1 SMP Mon Sep 30 14:19:46 UTC 2019 x86_64

X86_64 x86_64 GNU/Linux

# mysgl —--version
mysgl Ver 14.14 Distrib 5.7.29, for Linux (x86_64) using EditLine wrapper

# ruby bin/about

Environment:
Redmine version 4.1.0.stable.19426
Ruby version 2.6.2-p47 (2019-03-13) [x86_64-1linux]
Rails version 5.2.4.1
Environment production
Database adapter Mysqgl2
Mailer queue ActivedJob: :QueueAdapters: :AsyncAdapter
Mailer delivery smtp
| always use Redmine. Thank you!

Related issues:
Related to Redmine - Defect #32223: Disable sprockets to avoid Sprockets::Rai... Closed

History

#1 - 2020-01-22 15:39 - Holger Just
- Related to Defect #32223: Disable sprockets to avoid Sprockets::Railtie::ManifestNeededError raised by sprockets 4.0.0 added

#2 - 2020-01-22 15:42 - Holger Just

- Status changed from New to Needs feedback

With your described changes, yoy are basically enabling the assets pipeline in Rails which we don't use currently. These changes will likely result in
hard to debug errors down the line such as missing or broken assets, strange CSS, ...

In any case, the underlying issue should already be fixed in Redmine 4.1.0 with #32223.

When updating your Redmine, please make sure that you have no local changes in your config/application.rb files (or any other ruby file in config for
that matter). It looks like you are still using some files from your Redmine 4.0 installation here.

#3 - 2020-02-05 06:39 - hanamiche s

Holger Just wrote:
When updating your Redmine, please make sure that you have no local changes in your config/application.rb files (or any other ruby file in config
for that matter). It looks like you are still using some files from your Redmine 4.0 installation here.

Thank you for answering

When | checked my Redmine's config directory, | found additional_environment.rb, which was an old style.

The contents of the additional_environment.rb file are as follows.

config.log_level =: error

I modified the contents of this file by referring to Installation Guide .

#4 - 2024-02-03 08:59 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
https://www.redmine.org/issues/32223
https://www.redmine.org/projects/redmine/wiki/RedmineInstall
http://www.tcpdf.org

